summaryrefslogtreecommitdiffstats
path: root/development/azuredatastudio
diff options
context:
space:
mode:
Diffstat (limited to 'development/azuredatastudio')
-rw-r--r--development/azuredatastudio/README26
-rw-r--r--development/azuredatastudio/azuredatastudio.SlackBuild117
-rw-r--r--development/azuredatastudio/azuredatastudio.desktop18
-rw-r--r--development/azuredatastudio/azuredatastudio.info10
-rw-r--r--development/azuredatastudio/doinst.sh9
-rw-r--r--development/azuredatastudio/slack-desc19
6 files changed, 199 insertions, 0 deletions
diff --git a/development/azuredatastudio/README b/development/azuredatastudio/README
new file mode 100644
index 0000000000..c8ece9916a
--- /dev/null
+++ b/development/azuredatastudio/README
@@ -0,0 +1,26 @@
+Azure Data Studio is a data management and development tool with
+connectivity to popular cloud and on-premises databases.
+Azure Data Studio supports Windows, macOS, and Linux, with immediate
+capability to connect to Azure SQL and SQL Server. Browse the
+extension library for additional database support options including
+MySQL, PostreSQL, and MongoDB.
+
+How to get started with SQL Server 20022 and docker, run:
+
+docker pull mcr.microsoft.com/mssql/server:2022-latest
+
+docker run -e "ACCEPT_EULA=Y" \
+ -e "MSSQL_SA_PASSWORD=QW3rtyui" \
+ -p 1433:1433 --name mssql2022 \
+ -d \
+ mcr.microsoft.com/mssql/server:2022-latest
+
+
+Log in with:
+Server=localhost,1433
+User name=sa
+Password=QW3rtyui
+
+
+Optional dependencies:
+docker docker-cli
diff --git a/development/azuredatastudio/azuredatastudio.SlackBuild b/development/azuredatastudio/azuredatastudio.SlackBuild
new file mode 100644
index 0000000000..c39b30b62b
--- /dev/null
+++ b/development/azuredatastudio/azuredatastudio.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for azuredatastudio
+
+# Copyright 2023 Martin Bångens Sweden
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=azuredatastudio
+VERSION=${VERSION:-1.47.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo this is a x86_64 program only, you can set ARCH=x86_64
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-linux-x64
+tar xvf $CWD/stable || tar xvf $CWD/$PRGNAM-linux-$VERSION.tar.gz
+cd $PRGNAM-linux-x64
+chown -R root:root .
+
+install -d $PKG/usr/share/$PRGNAM
+cp -a ./* $PKG/usr/share/$PRGNAM
+
+# Symlink the startup script in /usr/bin
+install -d $PKG/usr/bin
+ln -s /usr/share/$PRGNAM/bin/azuredatastudio $PKG/usr/bin/$PRGNAM
+
+# Add the icon and desktop file
+cp ./resources/app/resources/linux/code.png $PRGNAM.png
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m644 ./$PRGNAM.png \
+ $PKG/usr/share/icons/hicolor/1024x1024/apps/$PRGNAM.png
+res=(
+ 512x512
+ 256x256
+ 192x192
+ 128x128
+ 96x96
+ 72x72
+ 64x64
+ 48x48
+ 40x40
+ 36x36
+ 32x32
+ 24x24
+ 22x22
+ 20x20
+ 16x16
+)
+for _res in "${res[@]}"; do
+ convert -resize $_res $PRGNAM.png $PRGNAM-scaled.png
+ install -D -m644 ./$PRGNAM-scaled.png \
+ $PKG/usr/share/icons/hicolor/$_res/apps/$PRGNAM.png
+done
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 644 ./resources/app/LICENSE.txt
+chown root:root ./resources/app/LICENSE.txt
+cp -a \
+ ./resources/app/LICENSE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/azuredatastudio/azuredatastudio.desktop b/development/azuredatastudio/azuredatastudio.desktop
new file mode 100644
index 0000000000..291b418b31
--- /dev/null
+++ b/development/azuredatastudio/azuredatastudio.desktop
@@ -0,0 +1,18 @@
+[Desktop Entry]
+Name=Azure Data Studio
+Comment=Data Management Tool that enables you to work with SQL Server, Azure SQL DB and SQL DW from Windows, macOS and Linux.
+GenericName=Text Editor
+Exec=/usr/share/azuredatastudio/bin/azuredatastudio --unity-launch %F
+Icon=azuredatastudio
+Type=Application
+StartupNotify=false
+StartupWMClass=azuredatastudio
+Categories=TextEditor;Development;IDE;
+MimeType=text/plain;application/x-azuredatastudio-workspace;
+Actions=new-empty-window;
+Keywords=azuredatastudio;
+
+[Desktop Action new-empty-window]
+Name=New Empty Window
+Exec=/usr/share/azuredatastudio/bin/azuredatastudio --new-window %F
+Icon=azuredatastudio
diff --git a/development/azuredatastudio/azuredatastudio.info b/development/azuredatastudio/azuredatastudio.info
new file mode 100644
index 0000000000..106d7fbdc3
--- /dev/null
+++ b/development/azuredatastudio/azuredatastudio.info
@@ -0,0 +1,10 @@
+PRGNAM="azuredatastudio"
+VERSION="1.47.1"
+HOMEPAGE="https://github.com/microsoft/azuredatastudio"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://azuredatastudio-update.azurewebsites.net/1.47.1/linux-x64/stable"
+MD5SUM_x86_64="fa43ca81731fc559e4d0fb7dbd3c287e"
+REQUIRES=""
+MAINTAINER="Martin Bångens"
+EMAIL="marbangens@gmail.com"
diff --git a/development/azuredatastudio/doinst.sh b/development/azuredatastudio/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/development/azuredatastudio/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/azuredatastudio/slack-desc b/development/azuredatastudio/slack-desc
new file mode 100644
index 0000000000..f645d69405
--- /dev/null
+++ b/development/azuredatastudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+azuredatastudio: azuredatastudio (A data management tool)
+azuredatastudio:
+azuredatastudio: Azure Data Studio is a data management and development tool with
+azuredatastudio: connectivity to popular cloud and on-premises databases.
+azuredatastudio: Azure Data Studio supports Windows, macOS, and Linux, with immediate
+azuredatastudio: capability to connect to Azure SQL and SQL Server. Browse the
+azuredatastudio: extension library for additional database support options including
+azuredatastudio: MySQL, PostreSQL, and MongoDB.
+azuredatastudio:
+azuredatastudio:
+azuredatastudio: